Bug 180999 - libX11.a missing from libX11-devel rpm?
libX11.a missing from libX11-devel rpm?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-11 02:10 EST by Satish Balay
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 17:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satish Balay 2006-02-11 02:10:42 EST
Description of problem:

libX11.a missing from libX11-devel rpm?

Version-Release number of selected component (if applicable):

libX11-devel-1.0.0-2.1

How reproducible:


Steps to Reproduce:
1. rpm -ql libX11-devel |grep libX11
2.
3.
  
Actual results:

/usr/lib/libX11.so

Expected results:

Expect to see libX11.a also listed there.

Additional info:

libX11.a exists on FC3 - so I'm assuming this is a package error on FC5T2[and
not an intentional removal]. I don't have any breakage releated to this issue.
Its just something I noticed.
Comment 1 Mike A. Harris 2006-02-13 17:47:27 EST
With modular X.Org X11R7.0, all of the libraries are provided as DSOs now,
and the static libraries have been intentionally disabled.  This is a
general Fedora Core evolution away from static libraries.

Please see mailing list archives of fedora-devel-list and/or other Fedora
mailing lists for details, or if you're interested in-general about the
decision.

Setting status to "NOTABUG"

Note You need to log in before you can comment on or make changes to this bug.